Subject: Re: [PATCH 3/6] Facilitate debugging Git executables in tests with gdb

From: Victor Leschuk <[email-masked]>
Date: Thu, 29 Oct 2015 08:15:33 +0300

>   
> +if test -n "$TEST_GDB_GIT"
> +then
> +	exec gdb -args "${GIT_EXEC_PATH}/@@PROG@@" "$@"
Maybe we could make $TEST_GDB_GIT not just a boolean flag? It would be 
useful to contain "gdb" executable name. It would allow to set path to 
GDB when it is not in $PATH, set different debuggers (for example, I 
usually use cgdb), or even set it to /path/to/gdb_wrapper.sh which could 
contain different gdb options and tunings.

--
Victor